apply plugin: 'groovy'

description = 'A Gradle plugin that detects the OS name and architecture, providing a uniform\
 classifier to be used in the names of native artifacts.'
group = 'com.google.gradle'

// The major and minor versions are aligned with the Maven plugin's.
version = '1.5.0-SNAPSHOT'

dependencies {
    compile gradleApi(),
          localGroovy(),
          'kr.motd.maven:os-maven-plugin:1.5.0.Final'
    // Newer versions of gradle conflict with the default guava 10. dependency of the maven
    // plugin.
    compile("com.google.guava:guava:19.0") {
        force = true
    }
    testCompile 'junit:junit:4.12'
}

repositories {
  mavenLocal()
  mavenCentral()
}
